#IFNDEF DHTML_H
#define DHTML_H

#define GUID_TLBID_IDHTMLEdit <0x683364A1,0xB37D,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>

#define DHTML_PROGID "DHTMLEdit.DHTMLEdit"

#IFNDEF Unknown
	Unknown STRUCT
	   QueryInterface		DD
	   AddRef				DD
	   Release				DD
	ENDS
#ENDIF

#IFNDEF Dispatch
	Dispatch STRUCT
		GetTypeInfoCount DD
		GetTypeInfo DD
		GetIDsOfNames DD
		Invoke DD
	ENDS
#ENDIF

DECMD_BOLD = 5000
DECMD_COPY = 5002
DECMD_CUT = 5003
DECMD_DELETE = 5004
DECMD_DELETECELLS = 5005
DECMD_DELETECOLS = 5006
DECMD_DELETEROWS = 5007
DECMD_FINDTEXT = 5008
DECMD_FONT = 5009
DECMD_GETBACKCOLOR = 5010
DECMD_GETBLOCKFMT = 5011
DECMD_GETBLOCKFMTNAMES = 5012
DECMD_GETFONTNAME = 5013
DECMD_GETFONTSIZE = 5014
DECMD_GETFORECOLOR = 5015
DECMD_HYPERLINK = 5016
DECMD_IMAGE = 5017
DECMD_INDENT = 5018
DECMD_INSERTCELL = 5019
DECMD_INSERTCOL = 5020
DECMD_INSERTROW = 5021
DECMD_INSERTTABLE = 5022
DECMD_ITALIC = 5023
DECMD_JUSTIFYCENTER = 5024
DECMD_JUSTIFYLEFT = 5025
DECMD_JUSTIFYRIGHT = 5026
DECMD_LOCK_ELEMENT = 5027
DECMD_MAKE_ABSOLUTE = 5028
DECMD_MERGECELLS = 5029
DECMD_ORDERLIST = 5030
DECMD_OUTDENT = 5031
DECMD_PASTE = 5032
DECMD_REDO = 5033
DECMD_REMOVEFORMAT = 5034
DECMD_SELECTALL = 5035
DECMD_SEND_BACKWARD = 5036
DECMD_BRING_FORWARD = 5037
DECMD_SEND_BELOW_TEXT = 5038
DECMD_BRING_ABOVE_TEXT = 5039
DECMD_SEND_TO_BACK = 5040
DECMD_BRING_TO_FRONT = 5041
DECMD_SETBACKCOLOR = 5042
DECMD_SETBLOCKFMT = 5043
DECMD_SETFONTNAME = 5044
DECMD_SETFONTSIZE = 5045
DECMD_SETFORECOLOR = 5046
DECMD_SPLITCELL = 5047
DECMD_UNDERLINE = 5048
DECMD_UNDO = 5049
DECMD_UNLINK = 5050
DECMD_UNORDERLIST = 5051
DECMD_PROPERTIES = 5052

DECMDF_NOTSUPPORTED = 0
DECMDF_DISABLED = 1
DECMDF_ENABLED = 3
DECMDF_LATCHED = 7
DECMDF_NINCHED = 11


DEAPPEARANCE_FLAT = 0
DEAPPEARANCE_3D = 1

#define GUID_IID_IDEGetBlockFmtNamesParam <0x8D91090D,0xB955,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>

IDEGetBlockFmtNamesParam STRUCT
	IUnknown Unknown <>
	IDispatch Dispatch <>
	get_Names DD
	put_Names DD
ENDS

#define GUID_IID_IDHTMLSafe <0xCE04B590,0x2B1F,0x11D2,0x8D,0x1E,0x00,0xA0,0xC9,0x59,0xBC,0x0A>

IDHTMLSafe STRUCT
	IUnknown Unknown <>
	IDispatch Dispatch <>
	ExecCommand DD
	QueryStatus DD
	SetContextMenu DD
	NewDocument DD
	LoadURL DD
	FilterSourceCode DD
	Refresh DD
	DOM DD
	get_DocumentHTML DD
	put_DocumentHTML DD
	get_ActivateApplets DD
	put_ActivateApplets DD
	get_ActivateActiveXControls DD
	put_ActivateActiveXControls DD
	get_ActivateDTCs DD
	put_ActivateDTCs DD
	get_ShowDetails DD
	put_ShowDetails DD
	get_ShowBorders DD
	put_ShowBorders DD
	get_Appearance DD
	put_Appearance DD
	get_Scrollbars DD
	put_Scrollbars DD
	get_ScrollbarAppearance DD
	put_ScrollbarAppearance DD
	get_SourceCodePreservation DD
	put_SourceCodePreservation DD
	get_AbsoluteDropMode DD
	put_AbsoluteDropMode DD
	get_SnapToGridX DD
	put_SnapToGridX DD
	get_SnapToGridY DD
	put_SnapToGridY DD
	get_SnapToGrid DD
	put_SnapToGrid DD
	IsDirty DD
	CurrentDocumentPath DD
	get_BaseURL DD
	put_BaseURL DD
	DocumentTitle DD
	UseDivOnCarriageReturn DD
	UseDivOnCarriageReturn DD
	Busy DD
ENDS

OLECMDEXECOPT_DODEFAULT = 0
OLECMDEXECOPT_PROMPTUSER = 1
OLECMDEXECOPT_DONTPROMPTUSER = 2
OLECMDEXECOPT_SHOWHELP = 3

#define GUID_IID_IDHTMLEdit <0xCE04B591,0x2B1F,0x11D2,0x8D,0x1E,0x00,0xA0,0xC9,0x59,0xBC,0x0A>
IDHTMLEdit STRUCT
	IUnknown Unknown <>
	IDispatch Dispatch <>
	ExecCommand DD
	QueryStatus DD
	SetContextMenu DD
	NewDocument DD
	LoadURL DD
	FilterSourceCode DD
	Refresh DD
	DOM DD
	get_DocumentHTML DD
	put_DocumentHTML DD
	get_ActivateApplets DD
	put_ActivateApplets DD
	get_ActivateActiveXControls DD
	put_ActivateActiveXControls DD
	get_ActivateDTCs DD
	put_ActivateDTCs DD
	get_ShowDetails DD
	put_ShowDetails DD
	get_ShowBorders DD
	put_ShowBorders DD
	get_Appearance DD
	put_Appearance DD
	get_Scrollbars DD
	put_Scrollbars DD
	get_ScrollbarAppearance DD
	put_ScrollbarAppearance DD
	get_SourceCodePreservation DD
	put_SourceCodePreservation DD
	get_AbsoluteDropMode DD
	put_AbsoluteDropMode DD
	get_SnapToGridX DD
	put_SnapToGridX DD
	get_SnapToGridY DD
	put_SnapToGridY DD
	get_SnapToGrid DD
	put_SnapToGrid DD
	IsDirty DD
	CurrentDocumentPath DD
	get_BaseURL DD
	put_BaseURL DD
	DocumentTitle DD
	UseDivOnCarriageReturn DD
	UseDivOnCarriageReturn DD
	Busy DD
	LoadDocument DD
	SaveDocument DD
	PrintDocument DD
	get_BrowseMode DD
	put_BrowseMode DD
ENDS

#define GUID_IID_IDEInsertTableParam <0x47B0DFC6,0xB7A3,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>
IDEInsertTableParam STRUCT
	IUnknown Unknown <>
	IDispatch Dispatch <>
	get_NumRows DD
	put_NumRows DD
	get_NumCols DD
	put_NumCols DD
	get_TableAttrs DD
	put_TableAttrs DD
	get_CellAttrs DD
	put_CellAttrs DD
	get_Caption DD
	put_Caption DD
ENDS

#define GUID_IID_DHTMLSafeEvents <0xD1FC78E8,0xB380,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>

DHTMLSafeEvents STRUCT
	DocumentComplete DD
	DisplayChanged DD
	ShowContextMenu DD
	ContextMenuAction DD
	onmousedown DD
	onmousemove DD
	onmouseup DD
	onmouseout DD
	onmouseover DD
	onclick DD
	ondblclick DD
	onkeydown DD
	onkeypress DD
	onkeyup DD
	onblur DD
	onreadystatechange DD
ENDS

#define GUID_IID_DHTMLEditEvents <0x588D5040,0xCF28,0x11D1,0x8C,0xD3,0x00,0xA0,0xC9,0x59,0xBC,0x0A>

DHTMLEditEvents STRUCT
	DocumentComplete DD
	DisplayChanged DD
	ShowContextMenu DD
	ContextMenuAction DD
	onmousedown DD
	onmousemove DD
	onmouseup DD
	onmouseout DD
	onmouseover DD
	onclick DD
	ondblclick DD
	onkeydown DD
	onkeypress DD
	onkeyup DD
	onblur DD
	onreadystatechange DD
ENDS

#define GUID_CLSID_IDHTMLEdit <0x2D360200,0xFFF5,0x11D1,0x8D,0x03,0x00,0xA0,0xC9,0x59,0xBC,0x0A>
#define GUID_CLSID_IDHTMLSafe <0x2D360201,0xFFF5,0x11D1,0x8D,0x03,0x00,0xA0,0xC9,0x59,0xBC,0x0A>
#define GUID_CLSID_IDEInsertTableParam <0x47B0DFC7,0xB7A3,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>
#define GUID_CLSID_DEGetBlockFmtNamesParam <0x8D91090E,0xB955,0x11D1,0xAD,0xC5,0x00,0x60,0x08,0xA5,0x84,0x8C>

#ENDIF
